openSUSE 安全性更新:cpio (openSUSE-2019-2596)

high Nessus Plugin ID 131539

語系:

新推出!Plugin 嚴重性目前使用 CVSS v3

計算 Plugin 嚴重性已更新為預設使用 CVSS v3 沒有 CVSS v3 評分的 Plugin 會回歸到以 CVSS v2 計算嚴重性。您可在設定下拉式選單中切換顯示嚴重性的喜好設定

Synopsis

遠端 openSUSE 主機缺少安全性更新。

描述

此 cpio 更新修正了下列問題:- CVE-2019-14866:已修正未正確驗證透過 to_oct() 函式在 TAR 檔案標頭中寫入的值,這會進一步導致非預期的 TAR 產生 (bsc#1155199)。此更新是從 SUSE:SLE-15:Update 更新專案匯入。

解決方案

更新受影響的 cpio 套件。

另請參閱

https://bugzilla.opensuse.org/show_bug.cgi?id=1155199

Plugin 詳細資訊

嚴重性: High

ID: 131539

檔案名稱: openSUSE-2019-2596.nasl

版本: 1.4

類型: local

代理程式: unix

已發布: 2019/12/3

已更新: 2020/1/15

相依性: ssh_get_info.nasl

風險資訊

VPR

風險因素: Medium

分數: 5.9

CVSS v2

風險因素: Medium

基本分數: 6.9

時間分數: 5.1

媒介: AV:L/AC:M/Au:N/C:C/I:C/A:C

時間媒介: E:U/RL:OF/RC:C

CVSS v3

風險因素: High

基本分數: 7.3

時間分數: 6.4

媒介: CVSS:3.0/AV:L/AC:L/PR:L/UI:R/S:U/C:H/I:H/A:H

時間媒介: E:U/RL:O/RC:C

弱點資訊

CPE: p-cpe:/a:novell:opensuse:cpio, p-cpe:/a:novell:opensuse:cpio-debuginfo, p-cpe:/a:novell:opensuse:cpio-debugsource, p-cpe:/a:novell:opensuse:cpio-lang, p-cpe:/a:novell:opensuse:cpio-mt, p-cpe:/a:novell:opensuse:cpio-mt-debuginfo, cpe:/o:novell:opensuse:15.1

必要的 KB 項目: Host/local_checks_enabled, Host/SuSE/release, Host/SuSE/rpm-list, Host/cpu

可輕鬆利用: No known exploits are available

修補程式發佈日期: 2019/11/30

弱點發布日期: 2020/1/7

參考資訊

CVE: CVE-2019-14866